/* Deep Waters v0.7.1 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var compose = require('./compose.js');
var biggerThan = require('./biggerThan.js');
var smallerThan = require('./smallerThan.js');

var between = function between(min) {
  return function (max) {
    return compose.default(biggerThan.default(min), smallerThan.default(max));
  };
};

exports.default = between;
